Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.model
Interface ConstraintListener

All Known Implementing Classes:
  ConflictStatistics

    public interface ConstraintListener

IFS constraint listener.

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  `Constraint`

Method Summary
`void` | `constraintAfterAssigned(long iteration, Constraint constraint, Value assigned, Set unassigned)` Called by the constraint, after a value is assigned to its variable.
`void` | `constraintBeforeAssigned(long iteration, Constraint constraint, Value assigned, Set unassigned)` Called by the constraint, before a value is assigned to its variable.

Method Detail

### constraintBeforeAssigned

    void constraintBeforeAssigned(long iteration,
                                  Constraint constraint,
                                  Value assigned,
                                  Set unassigned)

  Called by the constraint, before a value is assigned to its variable.

  Parameters:
    `iteration` - current iteration
    `constraint` - source constraint
    `assigned` - value which will be assigned to its variable (`Value.variable()`)
    `unassigned` - set of conflicting values which will be unassigned by the constraint before it assigns the given value

### constraintAfterAssigned

    void constraintAfterAssigned(long iteration,
                                 Constraint constraint,
                                 Value assigned,
                                 Set unassigned)

  Called by the constraint, after a value is assigned to its variable.

  Parameters:
    `iteration` - current iteration
    `constraint` - source constraint
    `assigned` - value which was assigned to its variable (`Value.variable()`)
    `unassigned` - set of conflicting values which were unassigned by the constraint before it assigned the given value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller